Skip to main content
GET
Get Batch Child Codes List

Endpoint Overview

GET https://api.unibee.dev/merchant/discount/batch/children/list Get list of child codes for a specific batch template

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Query parameters


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

templateId
integer<int64>
required

The template's Id

code
string<string>

Filter by child code, fuzzy search

sortField
string<string>

Sort field, gmt_create|gmt_modify, default gmt_create

sortType
string<string>

Sort type, asc|desc, default desc

page
integer<int>

Page number, start from 0

count
integer<int>

Count per page

createTimeStart
integer<int64>

Filter by create time start, UTC timestamp in seconds

createTimeEnd
integer<int64>

Filter by create time end, UTC timestamp in seconds

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>